<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes"/>
  <xsl:template match="transaction">
    <ROWSET>
    <xsl:for-each select="(buy|sell)[ticker/@exch='NASDAQ']">
      <ROW>
        <ACCT><xsl:value-of select="../account"/></ACCT>
        <ACTION><xsl:value-of select="name(.)"/></ACTION>
        <SYMBOL><xsl:value-of select="ticker"/></SYMBOL>
        <SHARES><xsl:value-of select="@shares"/></SHARES>
      </ROW>
    </xsl:for-each>
    </ROWSET>
  </xsl:template>
</xsl:stylesheet>
