<?xml version="1.0"?>
<!-- FAQ-In-XML.xsl: Transform ROWSET/ROW format to FAQ-List.dtd vocabulary -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output doctype-system="FAQ-List.dtd" indent="yes"/>
  <xsl:template match="/">
    <FAQ-List>
      <xsl:for-each select="ROWSET/ROW">
        <FAQ Submitter="{SUBMITTED_BY}" Level="{LEVEL}">
          <Question><xsl:value-of select="QUESTION"/></Question>
          <Answer><xsl:value-of select="ANSWER"/></Answer>
        </FAQ>
      </xsl:for-each>
    </FAQ-List>
  </xsl:template>
</xsl:stylesheet>