set serveroutput on
DECLARE
  xmldoc xmldom.DOMDocument;
  xmlOrder VARCHAR2(200);
BEGIN
  dbms_output.put_line('XML Enqueue Test in Session '|| userenv('SESSIONID'));
  FOR ordId IN 101..105 LOOP
    -- Build a little XML Order document like <order id="xxx"/>
    xmlOrder := '<order id="'||ordId||'"/>';
    -- Parse the current order document
    xmldoc := xml.parse(xmlOrder);
    -- Enqueue the current order to the 'xml_msg_queue' queue
    xmlq.enqueue(xmldoc,'xml_msg_queue');
    -- Free the current XML document
    xml.freeDocument(xmldoc);
    -- Print out a log message
    dbms_output.put_line('Placed order '||ordId||' in the queue.');
  END LOOP;
END;
