CREATE TRIGGER authorization_request_befins 
BEFORE INSERT ON authorization_request
FOR EACH ROW 
BEGIN
  -- Only assign a new id number if one is not supplied
  IF :new.request_id IS NULL THEN
    SELECT authorization_request_seq.nextval
     INTO :new.request_id
     FROM DUAL;
  END IF;
END;
