drop table user_stocks;
drop table user_news_categories;
drop table user_prefs;
create table user_prefs (
  userid     VARCHAR2(80),
  headlines  NUMBER,
  constraint user_prefs_pk primary key (userid)
);
create table user_stocks(
 userid VARCHAR(80),
 ticker VARCHAR(6),
 constraint stocks_for_user foreign key (userid) references user_prefs
);
create table user_news_categories(
 userid VARCHAR(80),
 category NUMBER,
 constraint categories_for_user foreign key (userid) references user_prefs
);
insert into user_prefs values ('DEFAULT',5);
insert into user_stocks values ('DEFAULT','ORCL');
insert into user_stocks values ('DEFAULT','MSFT');
insert into user_news_categories values ('DEFAULT',1);
insert into user_news_categories values ('DEFAULT',2);
insert into user_news_categories values ('DEFAULT',3);
insert into user_prefs values ('smuench',4);
insert into user_stocks values ('smuench','HLTH');
insert into user_stocks values ('smuench','WEBM');
insert into user_stocks values ('smuench','ORCL');
insert into user_stocks values ('smuench','INTC');
insert into user_stocks values ('smuench','AAPL');
insert into user_news_categories values ('smuench',2);
insert into user_news_categories values ('smuench',1);
commit;

