CREATE OR REPLACE PROCEDURE insert_quote(sym VARCHAR2,cost NUMBER,eff DATE) IS
BEGIN
  -- Remove any previous "latest" quote from today for this symbol.
  -- Make sure an Oracle8i Functional index on (TRUNC(day),ticker) exists!
  DELETE FROM latest_quotes
   WHERE ticker = sym
     AND TRUNC(latest_quotes.day) = TRUNC(eff);
  INSERT INTO latest_quotes VALUES(sym,cost,eff);
END;
