import oracle.xml.parser.v2.*;
import oracle.sql.*;
import java.sql.*;
import oracle.jdbc.driver.*;
import java.io.*;
import java.net.URL;

public class ReadXMLFromClob {

  public static void main( String[] arg ) throws Exception {

    Connection conn = Examples.getConnection();
    getDocument(conn,96).print(System.out);
    DTD theDTD = getDTD(conn,98,"PLAY");
    getDocument(conn,97,theDTD).print(System.out);
    getDocument(conn,99).print(System.out);
    conn.close();
  }

  public static XMLDocument getDocument(Connection conn, int idVal )
  throws Exception {

    return getDocument(conn,idVal,null);

  }

  public static XMLDocument getDocument(Connection conn, int idVal, DTD theDTD)
  throws Exception {

    CLOB theClob = ClobFromColumn.readClobFromXMLDocTable(conn,idVal);
    return XMLDocumentFromClob.read(theClob,null,theDTD);

  }

  public static DTD getDTD(Connection conn, int idVal, String rootElement)
  throws Exception {

    CLOB theClob = ClobFromColumn.readClobFromXMLDocTable(conn,idVal);
    return DTDFromClob.read(theClob, rootElement);

  }
}