CREATE PROCEDURE StockQuotesDbxml( id NUMBER ) IS
BEGIN
  Dbxml.Query('SELECT q.symbol as Symbol, 
                      q.price  as Price, 
                      q.change as Change
                 FROM quotes q, portfolio_stocks ps
                WHERE q.symbol = ps.symbol
                  AND ps.owner = ' || id,
   theDocElement => 'PORTFOLIO',
   tableElement  => 'QUOTE' );
END;
