	/*@lineinfo:filename=ValidateAirport.jsp*/
	/*@lineinfo:generated-code*/
package ch11;

import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;
import java.beans.*;
import AdvertisementBean;
import ConnectionBean;
import QueryBean;
import java.sql.*;
import Examples;
import oracle.xml.sql.query.*;


public class ValidateAirport extends oracle.jsp.runtime.HttpJsp {

	public final String _globalsClassName = null;

	// ** Begin Declarations


	// ** End Declarations

	public void _jspService(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {

		/* set up the intrinsic variables using the pageContext goober:
		** session = HttpSession
		** application = ServletContext
		** out = JspWriter
		** page = this
		** config = ServletConfig
		** all session/app beans declared in globals.jsa
		*/
		JspFactory factory = JspFactory.getDefaultFactory();
		PageContext pageContext = factory.getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
		// Note: this is not emitted if the session directive == false
		HttpSession session = pageContext.getSession();
		if (pageContext.getAttribute(OracleJspRuntime.JSP_REQUEST_REDIRECTED, PageContext.REQUEST_SCOPE) != null) {
			pageContext.setAttribute(OracleJspRuntime.JSP_PAGE_DONTNOTIFY, "true", PageContext.PAGE_SCOPE);
			factory.releasePageContext(pageContext);
			return;
}
		ServletContext application = pageContext.getServletContext();
		JspWriter out = pageContext.getOut();
		ValidateAirport page = this;
		ServletConfig config = pageContext.getServletConfig();

		try {
			// global beans
			// end global beans


			out.println( "");
			/*@lineinfo:user-code*//*@lineinfo:3^1*/Connection cn = Examples.getConnection();
			    String code = request.getParameter("find");
			
			    // First try an exact match on the airport 3-letter code
			    String qry = "SELECT tla as \"Code\", description as \"Name\""+
			                 "  FROM airport "+
			                 " WHERE tla = UPPER('" + code + "')";
			    OracleXMLQuery oxq = new OracleXMLQuery( cn, qry);
			
			    // Signal a catch-able exception when no data found
			    oxq.setRaiseNoRowsException(true);
			
			    // Setting RowsetTag to "" omits it from the result.
			    oxq.setRowsetTag("");
			    oxq.setRowTag("Airport");
			
			    try {
			      out.println(oxq.getXMLString());
			    }
			    catch (oracle.xml.sql.OracleXMLSQLNoRowsException e) {
			
			      // If no rows found, try a "fuzzy" match on the airport description
			      qry = "SELECT tla as \"Code\", description as \"Name\""+
			            "  FROM airport "+
			            " WHERE UPPER(description) LIKE UPPER('%"+ code + "%')"+
			            " ORDER BY UPPER(description)";
			      OracleXMLQuery oxq2 = new OracleXMLQuery(cn,qry);
			      oxq2.setRowsetTag("Error");
			      oxq2.setRowTag("Airport");
			      out.println(oxq2.getXMLString());
			    }
			    cn.close();
			
			/*@lineinfo:generated-code*/
			out.println( "");

			out.flush();

		}
		catch( Exception e) {
			try {
				if (out != null) out.clear();
			}
			catch( Exception clearException) {
			}
			pageContext.handlePageException( e);
		}
		finally {
			if (out != null) out.close();
			factory.releasePageContext(pageContext);
		}

	}
}
